Bug 1333593 - update spectrwm window manage to 3.0.1
Summary: update spectrwm window manage to 3.0.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spectrwm
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lars Kellogg-Stedman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-05 22:54 UTC by Lars Kellogg-Stedman
Modified: 2016-06-18 19:01 UTC (History)
2 users (show)

Fixed In Version: spectrwm-3.0.1-5.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-18 19:01:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Lars Kellogg-Stedman 2016-05-05 22:54:11 UTC
Description of problem:

The version of spectrwm currently in fedora 23 is outdated, and the links in the package point to a retired location.  3.0.1 was recently released. 

I have 3.0.1 packages for F23, F24, and rawhide available at:

  https://copr.fedorainfracloud.org/coprs/larsks/spectrwm/

Comment 1 Lokesh Mandvekar 2016-05-05 23:20:24 UTC
Hi Lars, would you like to be a co-maintainer?

Comment 2 Lars Kellogg-Stedman 2016-05-07 01:46:55 UTC
Lokesh;

I've push the 3.0.1 package into master.  Can you give it a once-over and makes sure it looks sane?

Comment 3 Lokesh Mandvekar 2016-05-07 02:28:41 UTC
Lars, so I just rebuilt it for f24 and installed on my laptop, works like a charm.

Only thing I noticed and that's probably because of the change I made earlier in response to https://bugzilla.redhat.com/show_bug.cgi?id=1095967#c5

$ rpmlint RPMS/x86_64/*
spectrwm.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libswmhack.so

I guess we gotta include the .so file back in devel.

Michael, wdyt?

Comment 4 Lokesh Mandvekar 2016-05-07 02:35:43 UTC
Also I just pushed a change to use %license macro for licenses.

Comment 5 Fedora Update System 2016-05-09 17:31:13 UTC
spectrwm-3.0.1-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d13e46b6d

Comment 6 Fedora Update System 2016-05-09 17:32:00 UTC
spectrwm-3.0.1-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-34867605a6

Comment 7 Fedora Update System 2016-05-09 17:33:40 UTC
spectrwm-3.0.1-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-26a6a49302

Comment 8 Fedora Update System 2016-05-10 18:51:43 UTC
spectrwm-3.0.1-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-34867605a6

Comment 9 Fedora Update System 2016-05-10 19:26:22 UTC
spectrwm-3.0.1-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d13e46b6d

Comment 10 Fedora Update System 2016-05-10 20:29:19 UTC
spectrwm-3.0.1-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-26a6a49302

Comment 11 Fedora Update System 2016-06-18 19:01:14 UTC
spectrwm-3.0.1-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.